package xaero.rotatenjump.game.graphics.model;

import xaero.rotatenjump.game.graphics.Texture;

/**
 * Created by xaero on 18/08/2017.
 */

public class Square extends Model {

    private static float[] vertices = {
            -0.5f, -0.5f, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1,
            0.5f, -0.5f, 0, 1, 0, 0, 0, 1, 1, 1, 1, 1,
            0.5f, 0.5f, 0, 1, 1, 0, 0, 1, 1, 1, 1, 1,
            -0.5f, 0.5f, 0, 0, 1, 0, 0, 1, 1, 1, 1, 1
    };
    private static short[] indices = {2, 3, 0, 0, 1, 2};

    public Square(){
        this(null);
    }

    public Square(Texture texture){
        create(vertices, indices, texture);
    }


}
